package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.MultipleBrand;
import com.ims.eval.entity.dto.result.R;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-05-22
 */
public interface IMultipleBrandService extends IService<MultipleBrand> {

	IPage<MultipleBrand> getMultipleBranTree(Integer pageNum, Integer pageSize, String id , String parentId, String  binSection, String  checkCycle, String year, String month);

	List<MultipleBrand> getMultipleBranList(String id , String parentId,String  binSection,String  checkCycle,String year,String month);

	List<MultipleBrand> getMultipleBranList2(String organizationId,String parentId,String  binSection,String  checkCycle,String year,String month);

	void exportExcel(String binSection, String checkCycle, String year, HttpServletResponse response) throws IOException;

	void importTemplate(HttpServletResponse response) throws IOException;

	R importExcel(MultipartFile file);

	MultipleBrand checkForExistence(String organizationName, String checkCycle, String binSection, String year, String month);

	void initData();
}
